statistics-0.13.2.3: A library of statistical types, data, and functions

Copyright | (c) 2009 Bryan O'Sullivan
License | BSD3
Maintainer | bos@serpentine.com
Stability | experimental
Portability | portable
Safe Haskell | None
Language | Haskell98

Statistics.Distribution.Normal

Contents

- Constructors

Description

The normal distribution. This is a continuous probability distribution that describes data that cluster around a mean.

Synopsis

- data NormalDistribution
- normalDistr :: Double -> Double -> NormalDistribution
- normalFromSample :: Sample -> NormalDistribution
- standard :: NormalDistribution

# Documentation

data NormalDistribution Source

The normal distribution.

Instances

Eq NormalDistribution Source |
Data NormalDistribution Source |
Read NormalDistribution Source |
Show NormalDistribution Source |
Generic NormalDistribution Source |
ToJSON NormalDistribution Source |
FromJSON NormalDistribution Source |
Binary NormalDistribution Source |
ContGen NormalDistribution Source |
Entropy NormalDistribution Source |
MaybeEntropy NormalDistribution Source |
Variance NormalDistribution Source |
MaybeVariance NormalDistribution Source |
Mean NormalDistribution Source |
MaybeMean NormalDistribution Source |
ContDistr NormalDistribution Source |
Distribution NormalDistribution Source |
type Rep NormalDistribution Source |

# Constructors

normalDistr Source

Arguments

:: Double | Mean of distribution
-> Double | Standard deviation of distribution
-> NormalDistribution |

Create normal distribution from parameters.

IMPORTANT: prior to 0.10 release second parameter was variance not standard deviation.

normalFromSample :: Sample -> NormalDistribution Source

Create distribution using parameters estimated from sample. Variance is estimated using maximum likelihood method (biased estimation).

standard :: NormalDistribution Source

Standard normal distribution with mean equal to 0 and variance equal to 1